Security Enhanced Linux Reference Policy

# Layer: services

## Module: cvs

Tunables Interfaces

### Description:

Concurrent versions system.

### Tunables:

allow_cvs_read_shadow

##### Default value

false

##### Description

Determine whether cvs can read shadow password files.

allow_httpd_cvs_script_anon_write

##### Default value

false

##### Description

Determine whether the script domain can modify public files used for public file transfer services. Directories/Files must be labeled public_content_rw_t.

Return

### Interfaces:

cvs_admin( domain , role )

##### Summary

All of the rules required to administrate an cvs environment

##### Parameters

Parameter: | Description:
--- | ---
domain | Domain allowed access.
role | Role allowed access.

cvs_exec( domain )

##### Summary

Execute cvs in the caller domain.

##### Parameters

Parameter: | Description:
--- | ---
domain | Domain allowed access.

cvs_read_data( domain )

##### Summary

Read CVS data and metadata content.

##### Parameters

Parameter: | Description:
--- | ---
domain | Domain allowed access.

Return